uniform sampler2D tex;
varying vec2 s1_coord, s2_coord;
varying float twiddle_real, twiddle_imag;

void main(void)
{
	vec4 c1 = texture2D(tex, s1_coord);
	vec4 c2 = texture2D(tex, s2_coord);
	gl_FragColor = c1 + twiddle_real * c2 + twiddle_imag * vec4(-c2.y, c2.x, -c2.w, c2.z);
}

