uniform sampler2D tex;
uniform sampler1D twiddle_tex;

void main(void)
{
	vec4 support = texture1D(twiddle_tex, gl_TexCoord[0].s);
	vec4 c1 = texture2D(tex, vec2(support.x, gl_TexCoord[0].t));
	vec4 c2 = texture2D(tex, vec2(support.y, gl_TexCoord[0].t));
	gl_FragColor = c1 + support.z * c2 + support.w * vec4(-c2.y, c2.x, -c2.w, c2.z);
}

